package com.bonus.canteen.core.account.v3.api.vo;


import com.bonus.canteen.core.account.v3.model.AccExceptionRecord;

public class AccExceptionRecordApiVO {
   private Long id;
   private Long ordTradeId;
   private Integer recordStatus;

   public static AccExceptionRecordApiVO of(AccExceptionRecord accExceptionRecord) {
      return (new AccExceptionRecordApiVO()).setId(accExceptionRecord.getId()).setOrdTradeId(accExceptionRecord.getRelationId()).setRecordStatus(accExceptionRecord.getRecordStatus());
   }

   public Long getId() {
      return this.id;
   }

   public Long getOrdTradeId() {
      return this.ordTradeId;
   }

   public Integer getRecordStatus() {
      return this.recordStatus;
   }

   public AccExceptionRecordApiVO setId(final Long id) {
      this.id = id;
      return this;
   }

   public AccExceptionRecordApiVO setOrdTradeId(final Long ordTradeId) {
      this.ordTradeId = ordTradeId;
      return this;
   }

   public AccExceptionRecordApiVO setRecordStatus(final Integer recordStatus) {
      this.recordStatus = recordStatus;
      return this;
   }

}
